Bug 736206 - Can't hibernate when have NFS mounts; umount task won't sleep
Summary: Can't hibernate when have NFS mounts; umount task won't sleep
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 15
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 02:12 UTC by Jeff Morriss
Modified: 2014-03-17 03:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-06 20:04:03 UTC


Attachments (Terms of Use)

Description Jeff Morriss 2011-09-07 02:12:15 UTC
Description of problem:
I recently upgraded to FC 15 and discovered that I could no longer hibernate my PC (it worked fine in FC12); it invariably ends up saying:

~~~
Freezing of tasks failed after 20.00 seconds (1 tasks refusing to freeze, wq_busy=0):
~~~

The task which won't sleep is umount; from the messages file:

~~~
Sep  6 21:51:58 mozart kernel: [ 4454.412161] umount          D ffff880037dd7100     0  2551   2531 0x00800084
Sep  6 21:51:58 mozart kernel: [ 4454.412166]  ffff880067375b78 0000000000000082 ffff8800376df328 ffff880000000001
Sep  6 21:51:58 mozart kernel: [ 4454.412169]  ffff88006abc1730 ffff880067375fd8 ffff880067375fd8 00000000000126c0
Sep  6 21:51:58 mozart kernel: [ 4454.412173]  ffff8800a9aa9730 ffff88006abc1730 ffff880067375b48 00000001814b704c
Sep  6 21:51:58 mozart kernel: [ 4454.412176] Call Trace:
Sep  6 21:51:58 mozart kernel: [ 4454.412201]  [<ffffffffa031a847>] ? rpc_queue_empty+0x2e/0x2e [sunrpc]
Sep  6 21:51:58 mozart kernel: [ 4454.412211]  [<ffffffffa031a87b>] rpc_wait_bit_killable+0x34/0x38 [sunrpc]
Sep  6 21:51:58 mozart kernel: [ 4454.412217]  [<ffffffff814b6011>] __wait_on_bit+0x48/0x7b
Sep  6 21:51:58 mozart kernel: [ 4454.412221]  [<ffffffff8105a6e4>] ? _local_bh_enable_ip+0x25/0x8e
Sep  6 21:51:58 mozart kernel: [ 4454.412224]  [<ffffffff814b60b6>] out_of_line_wait_on_bit+0x72/0x7d
Sep  6 21:51:58 mozart kernel: [ 4454.412233]  [<ffffffffa031a847>] ? rpc_queue_empty+0x2e/0x2e [sunrpc]
Sep  6 21:51:58 mozart kernel: [ 4454.412236]  [<ffffffff81070437>] ? autoremove_wake_function+0x3d/0x3d
Sep  6 21:51:58 mozart kernel: [ 4454.412245]  [<ffffffffa031b41c>] __rpc_execute+0xf0/0x293 [sunrpc]
Sep  6 21:51:58 mozart kernel: [ 4454.412254]  [<ffffffffa031b62c>] rpc_execute+0x3f/0x43 [sunrpc]
Sep  6 21:51:58 mozart kernel: [ 4454.412261]  [<ffffffffa0314e0f>] rpc_run_task+0x86/0x8e [sunrpc]
Sep  6 21:51:58 mozart kernel: [ 4454.412268]  [<ffffffffa0314f04>] rpc_call_sync+0x45/0x66 [sunrpc]
Sep  6 21:51:58 mozart kernel: [ 4454.412300]  [<ffffffffa036d432>] nfs3_rpc_wrapper.constprop.7+0x2c/0x64 [nfs]
Sep  6 21:51:58 mozart kernel: [ 4454.412313]  [<ffffffffa036e504>] nfs3_proc_getattr+0x5d/0x83 [nfs]
Sep  6 21:51:58 mozart kernel: [ 4454.412324]  [<ffffffffa036000d>] __nfs_revalidate_inode+0xb4/0x1a2 [nfs]
Sep  6 21:51:58 mozart kernel: [ 4454.412334]  [<ffffffffa036024b>] nfs_revalidate_inode+0x4a/0x51 [nfs]
Sep  6 21:51:58 mozart kernel: [ 4454.412344]  [<ffffffffa036032a>] nfs_getattr+0x92/0xc4 [nfs]
Sep  6 21:51:58 mozart kernel: [ 4454.412348]  [<ffffffff8112a5f7>] vfs_getattr+0x45/0x63
Sep  6 21:51:58 mozart kernel: [ 4454.412351]  [<ffffffff8112a66d>] vfs_fstatat+0x58/0x6e
Sep  6 21:51:58 mozart kernel: [ 4454.412355]  [<ffffffff810542a2>] ? do_fork+0x1e5/0x2c8
Sep  6 21:51:58 mozart kernel: [ 4454.412358]  [<ffffffff8112a6be>] vfs_stat+0x1b/0x1d
Sep  6 21:51:58 mozart kernel: [ 4454.412360]  [<ffffffff8112a7bd>] sys_newstat+0x1a/0x33
Sep  6 21:51:58 mozart kernel: [ 4454.412363]  [<ffffffff8112f5e8>] ? path_put+0x20/0x24
Sep  6 21:51:58 mozart kernel: [ 4454.412366]  [<ffffffff810a0c7c>] ? audit_syscall_entry+0x145/0x171
Sep  6 21:51:58 mozart kernel: [ 4454.412370]  [<ffffffff814bd7c2>] system_call_fastpath+0x16/0x1b
Sep  6 21:51:58 mozart kernel: [ 4454.412373] 
~~~

A little debugging indicated that pm-hibernate is (via /usr/lib64/pm-utils/sleep.d/55NetworkManager) telling NetworkManager that the system is going to hibernate.  NetworkManager then appears to first take down the interface and then call /etc/NetworkManager/dispatcher.d/05-netfs to umount the network file systems.  Of course since the interface is already down this takes a bit longer than expected.

Modifying 05-netfs so that it no longer bothers doing "netfs stop" fixes the problem and my PC can again hibernate.


Version-Release number of selected component (if applicable):
NetworkManager-0.8.9997-6.git20110721.fc15.x86_64
initscripts-9.30-2.fc15.x86_64 (the 05-netfs script comes from this package)

How reproducible:
100%

Steps to Reproduce:
1. Mount an NFS filesystem (my fstab just says to use "defaults" which comes out to vers=3,proto=tcp,timeo=600 when mounting things from my NAS)
2. Attempt to hibernate (suspend should be the same)
3.
  
Actual results:
PC does not hibernate but instead complains about tasks refusing to sleep

Expected results:
PC hibernates
(Upon resume NFS mounts are mounted again)

Additional info:
Not entirely sure if this should be a NetworkManager bug or an initscripts bug.  A toss of the dice yields initscripts.

Comment 1 Fedora End Of Life 2012-08-06 20:04:03 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora End Of Life 2012-08-06 20:04:03 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.